/**
 * @fileoverview 课程相关js类和方法。
 */
(function(){

    /**
     * 课程命名空间。
     * @type Object
     */
	window.lessons = window.lessons || {};
	
    /**
     * 课程下拉列表text和value值的数组。
     * @type Array
     */
	lessons.data = [
		 {text:"Lección 1", value:"../1/1.html"},
	    {text:"Lección 2", value:"../2/1.html"},
	    {text:"Lección 3", value:"../3/1.html"},
	    {text:"Lección 4", value:"../4/1.html"},
	    {text:"Lección 5", value:"../5/1.html"},
	    {text:"Lección 6", value:"../6/1.html"},
	    {text:"Lección 7", value:"../7/1.html"},
	    {text:"Lección 8", value:"../8/1.html"},
	    {text:"Lección 9", value:"../9/1.html"},
	    {text:"Lección 10", value:"../10/1.html"},
	    {text:"Lección 11", value:"../11/1.html"},
	    {text:"Lección 12", value:"../12/1.html"},
	    {text:"Lección 13", value:"../13/1.html"},
	    {text:"Lección 14", value:"../14/1.html"},
	    {text:"Lección 15", value:"../15/1.html"},
	    {text:"Lección 16", value:"../16/1.html"},
	    {text:"Lección 17", value:"../17/1.html"},
	    {text:"Lección 18", value:"../18/1.html"},
	    {text:"Lección 19", value:"../19/1.html"},
	    {text:"Lección 20", value:"../20/1.html"},
	    {text:"Lección 21", value:"../21/1.html"},
	    {text:"Lección 22", value:"../22/1.html"},
	    {text:"Lección 23", value:"../23/1.html"},
	    {text:"Lección 24", value:"../24/1.html"},
	    {text:"Lección 25", value:"../25/1.html"},
	    {text:"Lección 26", value:"../26/1.html"},
	    {text:"Lección 27", value:"../27/1.html"},
	    {text:"Lección 28", value:"../28/1.html"},
	    {text:"Lección 29", value:"../29/1.html"},
	    {text:"Lección 30", value:"../30/1.html"},
      {text:"Lección 31", value:"../31/1.html"},
	  {text:"Lección 32", value:"../32/1.html"},
	  {text:"Lección 33", value:"../33/1.html"},
	  {text:"Lección 34", value:"../34/1.html"},
	  {text:"Lección 35", value:"../35/1.html"},
	  {text:"Lección 36", value:"../36/1.html"},
	  {text:"Lección 37", value:"../37/1.html"},
	  {text:"Lección 38", value:"../38/1.html"},
	  {text:"Lección 39", value:"../39/1.html"},
	  {text:"Lección 40", value:"../40/1.html"},
	  {text:"Lección 41", value:"../41/1.html"},
	  {text:"Lección 42", value:"../42/1.html"},
	  {text:"Lección 43", value:"../43/1.html"},
	  {text:"Lección 44", value:"../44/1.html"},
	  {text:"Lección 45", value:"../45/1.html"},
	  {text:"Lección 46", value:"../46/1.html"},
	  {text:"Lección 47", value:"../47/1.html"},
	  {text:"Lección 48", value:"../48/1.html"},
	  {text:"Lección 49", value:"../49/1.html"},
	  {text:"Lección 50", value:"../50/1.html"},
	  {text:"Lección 51", value:"../51/1.html"},
	  {text:"Lección 52", value:"../52/1.html"},
	  {text:"Lección 53", value:"../53/1.html"},
	  {text:"Lección 54", value:"../54/1.html"},
	  {text:"Lección 55", value:"../55/1.html"},
	  {text:"Lección 56", value:"../56/1.html"},
	  {text:"Lección 57", value:"../57/1.html"},
	  {text:"Lección 58", value:"../58/1.html"},
	  {text:"Lección 59", value:"../59/1.html"},
	  {text:"Lección 60", value:"../60/1.html"},
	  {text:"Lección 61", value:"../61/1.html"},
	  {text:"Lección 62", value:"../62/1.html"},
	  {text:"Lección 63", value:"../63/1.html"},
	  {text:"Lección 64", value:"../64/1.html"},
	  {text:"Lección 65", value:"../65/1.html"},
	  {text:"Lección 66", value:"../66/1.html"},
	  {text:"Lección 67", value:"../67/1.html"},
	  {text:"Lección 68", value:"../68/1.html"}
	  ];
	
    /**
     * 创建课程下拉列表。
     * @param {String} containerId 下拉列表容器ID。
     * @param {String} id 下拉列表ID。
     * @param {String} name 下拉列表name。
     * @return null
     */
	lessons.createDropList = function(containerId, id, name)
	{
	    var container = document.getElementById(containerId);
	    var select = document.createElement("select");
	    if(id)
	    {
	        select.id = id;
	    }
	    if(name)
	    {
	        select.name = name;
	    }
	    select.onchange = function(){
	        window.location=this.options[this.selectedIndex].value;
	    };
	    container.appendChild(select);
	    
	    select.length = 0;
        var options = select.options;
	    for(var i = 0; i < lessons.data.length; i++)
	    {
            var text = lessons.data[i].text;
            var value = lessons.data[i].value;
            try
            {
                options.add( new Option(text, value), null);
            } 
            catch (e)
            {
                options.add( new Option(text, value), -1);
            }
	    }
	    if(lessons.data.length > 0)
	    {
	        select.value = lessons.data[0].value;
	    }
	    var href = document.location;
	    for(var i = 0; i < lessons.data.length; i++)
	    {
	        var reg = new RegExp(lessons.data[i].value, "i");
            if(reg.exec(href)) 
            {
                select.value = lessons.data[i].value;
                break;
            } 
	    }
	}
})()
var strIndex = "Índex";

function addLoadEvent(func){  
    var oldOnload = window.onload;  
    if(typeof window.onload != 'function'){  
      window.onload = func;  
    } else {  
      window.onload = function(){
        try {
          oldOnload();
        } catch(err) {}
        func();  
      }  
    }  
} 

function addIndex() {
  var tables = document.getElementById("menu").getElementsByTagName("table");
  if (!tables || tables.length < 4) return;
  var tbl = tables[3];
  tbl.setAttribute("background", "../../Images/z4.jpg");
  var tds = tbl.getElementsByTagName("td");
  if (!tds) return;
  var td = tds[1];
  var divs = td.getElementsByTagName("div");
  td.removeChild(divs[0]);
  var cont = document.createElement("a");
  cont.setAttribute("href", "../index/voc_sen.html");
  cont.innerHTML = strIndex;
  td.appendChild(cont);
}

addLoadEvent(addIndex);